Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Text
Imports System.Windows.Forms

Imports PortSet

Namespace PortSetTest
	Public Partial Class Form1
		Inherits Form
		Private portname As String = "Not Initialized"
		Private baudrate As String = "Not Initialized"
		Private parity As String = "Not Initialized"
		Private stopbits As String = "Not Initialized"
		Private databits As String = "Not Initialized"
		Private handshaking As String = "Not Initialized"

		' Instantiate the PortSettings class
		Private p As PortSettings = New PortSettings()

		Public Sub New()
			InitializeComponent()
		End Sub

		Private Sub clearSettings()
			portname = ""
			baudrate = ""
			databits = ""
			stopbits = ""
			parity = ""
			handshaking = ""
		End Sub

		Private Sub buttonTest_Click(ByVal sender As Object, ByVal e As EventArgs) Handles buttonTest.Click
			'MessageBox.Show("Dialog result = " + p.ShowDialog());

            If p.ShowDialog() = System.Windows.Forms.DialogResult.Cancel Then
                ' clear out settings
                clearLabels()
            Else
                ' set labels to Settings values
                setLabels()
            End If
		End Sub

		Private Sub clearLabels()
			labelPortName.Text = "PortName"
			labelBaudRate.Text = "BaudRate"
			labelParity.Text = "Parity"
			labelDataBits.Text = "DataBits"
			labelStopBits.Text = "StopBits"
			labelHandShaking.Text = "HandShaking"
		End Sub

		Private Sub setLabels()
			labelPortName.Text = "PortName: " & p.selectedPort
			labelBaudRate.Text = "BaudRate: " & p.selectedBaudrate.ToString()
			labelParity.Text = "Parity: " & p.selectedParity.ToString()
			labelDataBits.Text = "DataBits: " & p.selectedDataBits.ToString()
			labelStopBits.Text = "StopBits: " & p.selectedStopBits.ToString()
			labelHandShaking.Text = "HandShaking: " & p.selectedHandshaking.ToString()
		End Sub
	End Class
End Namespace

